Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.path
Class SimpleIterPath

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.xquery.expr.Expr
              org.basex.query.xquery.expr.Arr
                  org.basex.query.xquery.path.Path
                      org.basex.query.xquery.path.SimpleIterPath

    public final class SimpleIterPath

extends Path

Path Expression when the axis is a descendant.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Dennis Stratmann

Nested Class Summary

Nested classes/interfaces inherited from class org.basex.query.xquery.expr.Expr
`Expr.Return, Expr.Using`

Field Summary

Fields inherited from class org.basex.query.xquery.path.Path
`root`

Fields inherited from class org.basex.query.xquery.expr.Arr
`expr`

Constructor Summary
`SimpleIterPath(Expr r, Expr[] p)` Constructor.

Method Summary
`Iter` | `iter(XQContext ctx)` Evaluates the expression and returns an iterator on the resulting items.

Methods inherited from class org.basex.query.xquery.path.Path
`comp, invertPath, invertSIStep, path, plan, returned, toString, uses`

Methods inherited from class org.basex.query.xquery.expr.Expr
`e, i`

Methods inherited from class org.basex.query.ExprInfo
`color, info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleIterPath

    public SimpleIterPath(Expr r,
                          Expr[] p)

  Constructor.

  Parameters:
    `r` - root expression
    `p` - expression list

Method Detail

### iter

    public Iter iter(XQContext ctx)
              throws XQException

  Description copied from class: `Expr`
  Evaluates the expression and returns an iterator on the resulting items.

  Overrides:
    `iter` in class `Path`
  Parameters:
    `ctx` - query context
  Returns:
    resulting item
  Throws:
    `XQException` - evaluation exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD